Bug 740597 - support adding metric graphs to dashboard for autogroups
support adding metric graphs to dashboard for autogroups
Status: NEW
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
3.0.0 Beta1
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 11:34 EDT by Nabeel Saad
Modified: 2015-11-01 19:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nabeel Saad 2011-09-22 11:34:54 EDT
Description of problem:
Under each platform, you can see the CPU folder which gives you info regarding all CPUs on a single graph - with multiple lines for each CPU per graph.

However, when you go to the Dashboard, choose to add the "Resource Metric Graph" portlet into the dashboard.  Looking through the resources, I can see the linux platform and I can see each separate CPU resource, but I no longer see the CPUs folder as a resource.

Version-Release number of selected component (if applicable):
JON 3.0.0.BETA1

How reproducible:
Everytime

Steps to Reproduce:
1.Install JON server, import local machine (with multiple CPUs)
2.On the dashboard, click "Edit Mode", then click "Add Portlet" and choose the "Resource Metric Graph"
3.Look thru the list of Resources, and you will not find "CPUs"
  
Actual results:
CPUs folder is not found in the resource list.  You can only find CPU 0 and CPU 1 or the linux platform itself

Expected results:
I would expect to be able to find all the "resources" that are listed below the platform itself

Additional info:
Comment 1 Nabeel Saad 2011-09-22 11:42:42 EDT
This is also applicable for the concept of "Add chart to dashboard".

If you right click on the CPU folder for a platform, (I assume this would be the same issue with any other 'folder' like options) -> Measurements -> User Load -> and then "Add chart to dashboard".  A message is displayed saying "You have saved the dashboard [Default]", but checking the dashboard, nothing is added.

If you do this with CPU 0 or CPU 1, then this functions as expected.
Comment 2 Charles Crouch 2011-09-26 10:00:01 EDT
I think there are two separate issues here:
a) an RFE to add support for adding autogroup charts to the dashboard
b) a medium priority bug to remove the option to "Add chart to dashboard" from 
the right-click menu on autogroups prior to the RFE from a) being implemented.
Comment 3 Nabeel Saad 2011-09-27 05:12:48 EDT
Charles, do I need to do anything to this bug following your last comment?

Note You need to log in before you can comment on or make changes to this bug.